/*---------------------------------------------------
-----------------------------------------------------
Filename:	init_coversearch.m
Version:	2.0

Type:		maki/attrib definitions
Date:		26. Okt. 2006 - 18:24 
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
-----------------------------------------------------
Depending Files:
		xml/xui/cover/cover.maki
-----------------------------------------------------
---------------------------------------------------*/

#ifndef included
#error This script can only be compiled as a #include
#endif

#include "gen_pageguids.m"


Function initAttribs_coversearch();


#define CUSTOM_PAGE_COVER "{F1036C9C-3919-47ac-8494-366778CF10F9}"

Global ConfigAttribute cover_dirs_pip_attrib;
Global ConfigAttribute cover_dirs_acp_attrib;
Global ConfigAttribute cover_web_attrib;
Global ConfigAttribute cover_tag_attrib;
Global ConfigAttribute cover_acpfolder_attrib;

Global ConfigAttribute cover_download_attrib;

initAttribs_coversearch()
{
	initPages();
	
	ConfigItem custom_page_cover = addConfigSubMenu(optionsmenu_page, "CoverSearch", CUSTOM_PAGE_COVER);

	cover_dirs_acp_attrib = custom_page_cover.newAttribute("Search in Cover Library", "1");
	cover_tag_attrib = custom_page_cover.newAttribute("Search in Playitem Tag", "1");
	cover_dirs_pip_attrib = custom_page_cover.newAttribute("Search in Playitem Directory", "1");
	cover_web_attrib = custom_page_cover.newAttribute("Search in Online Database", "1");

	addMenuSeparator(custom_page_cover);

	cover_download_attrib = custom_page_cover.newAttribute("Save downloaded Covers", "1");

	cover_acpfolder_attrib = custom_page_nonexposed.newAttribute("Cover Library Path", "I:\Eigene Dateien\Eigene Musik\Covers\Cover Library");

}